List Job Openings
curl --request GET \
--url https://api.amplemarket.com/job-openings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.amplemarket.com/job-openings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.amplemarket.com/job-openings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"id": "6410f5bc-b911-49aa-90dd-2f49cd47d609",
"name": "Example Inc",
"domain": "example.com",
"linkedin_url": "https://www.linkedin.com/company/example"
},
"job_openings": [
{
"id": "c5dcc248-6238-4cda-b6a9-883490218592",
"title": "Senior Software Engineer",
"url": "https://example.com/jobs/123",
"raw_location": "Remote - US",
"first_seen_at": "2026-04-01T12:00:00Z",
"seniorities": [
"Senior"
],
"departments": [
"Engineering & Technical"
],
"job_functions": [
"Software Development"
]
}
],
"_links": {
"self": {
"href": "/job-openings?domain=example.com&page[size]=10"
}
}
}Job Openings
List Job Openings
List Job Openings
GET
/
job-openings
List Job Openings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Amplemarket company ID
Company domain
Company LinkedIn URL
Filter by job seniorities
Available options:
Owner, Founder, C-Suite, Partner, VP, Head, Director, Manager, Senior, Entry, Intern, Other, Non-Manager, Founder / Owner Available options: Supported departments
Available options: Supported job functions
Only return remote job openings
Page size (default: 10, max: 100)
Required range:
1 <= x <= 100Cursor for the next page (from _links.next)
Was this page helpful?